#include "HardwareInfo.c"
#include "JMLib.c"
#include <SetLCDBack.h>
#include <SetNS.h>
#include <SetTraceRef.h>
#include <GetTrace.h>
#include <SetLCD3Char.h>

int main(void)
{
    X1RCU_Init();
    unsigned char var0 = 0;
    unsigned char var1 = 0;
    unsigned char var2 = 0;
    unsigned char var3 = 0;
    unsigned char var4 = 0;
    unsigned char var5 = 0;
    unsigned char var6 = 0;
    unsigned char var7 = 0;
    SetLCDBack(1);
    while (1)
    {
        SetNS(2);
        SetTraceRef(_TRACE_1_, 10, 11, 12, 13, 14, 15, 16, 17);
        SetNS(2);
        var0 = GetTrace(_TRACE_1_, 11);
        var1 = GetTrace(_TRACE_1_, 12);
        var2 = GetTrace(_TRACE_1_, 13);
        var3 = GetTrace(_TRACE_1_, 14);
        var4 = GetTrace(_TRACE_1_, 15);
        var5 = GetTrace(_TRACE_1_, 16);
        var6 = GetTrace(_TRACE_1_, 17);
        var7 = GetTrace(_TRACE_1_, 18);
        SetLCD3Char(0, 0, var0);
        SetLCD3Char(64, 0, var1);
        SetLCD3Char(0, 2, var2);
        SetLCD3Char(64, 2, var3);
        SetLCD3Char(0, 4, var4);
        SetLCD3Char(64, 4, var5);
        SetLCD3Char(0, 6, var6);
        SetLCD3Char(64, 6, var7);
        SetTraceRef(_TRACE_1_, 201, 202, 203, 204, 205, 206, 207, 208);
        SetNS(1);
        var0 = GetTrace(_TRACE_1_, 11);
        var1 = GetTrace(_TRACE_1_, 12);
        var2 = GetTrace(_TRACE_1_, 13);
        var3 = GetTrace(_TRACE_1_, 14);
        var4 = GetTrace(_TRACE_1_, 15);
        var5 = GetTrace(_TRACE_1_, 16);
        var6 = GetTrace(_TRACE_1_, 17);
        var7 = GetTrace(_TRACE_1_, 18);
        SetLCD3Char(0, 0, var0);
        SetLCD3Char(64, 0, var1);
        SetLCD3Char(0, 2, var2);
        SetLCD3Char(64, 2, var3);
        SetLCD3Char(0, 4, var4);
        SetLCD3Char(64, 4, var5);
        SetLCD3Char(0, 6, var6);
        SetLCD3Char(64, 6, var7);
    }
    return 1;
}

